package jalview.datamodel.features;

/**
 * SubList holds the start and end index of a run of intervals where each is
 * contained by (or the same as) the one preceding it.
 * <p>
 * SubList is used during the construction of an NCList
 */
class SubList
{
  /*
   * the index of the sublist's first interval in the 'intervals' list
   */
  int startIndex;

  /*
   * the index of the sublist's last interval in the 'intervals' list
   */
  int endIndex;

  SubList(int from, int to)
  {
    startIndex = from;
    endIndex = to;
  }

}